Subject: Re: Alternatives to New Farm

From: [email-masked] (Farmer to Farmer)
Date: 1 Feb 1995 20:22:04 -0000

Re: the list of substitutes for New Farm, "Buzzworm" is no longer being 
published, I believe. Also, might I add our publication to the list, 
Farmer to Farmer (P.O. Box73764, Davis, CA 95617). Thanks, and looking 
forward to the continuing discussion of this loss of a great resource.
Lori Pottinger